Results 1 to 5 of 5

Thread: KDE PIM Applications crash or hang because of Akonadi

  1. #1

    Default KDE PIM Applications crash or hang because of Akonadi

    I recently ran into trouble with the KDE PIM Applications (KMail, Kontact, etc). They often hang or crash on startup or closure. A workaround is killing all akonadi related procresses.
    I'm not sure weither this is a bug or caused by configuration or package mess up. My base system is Leap 41.1, but with updated Plasma and KDE Framework, KDE Applications and QT5. My repo list:
    Code:
    #  | Alias                               | Name                              | Aktiviert | GPG-Überprüfung | Aktualisierung | URI                                                                            ---+-------------------------------------+-----------------------------------+-----------+-----------------+----------------+--------------------------------------------------------------------------------
     1 | KDE_Framework_5                     | KDE Framework 5                   | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/ 
     2 | Qt5                                 | Qt5                               | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.1/         
     3 | http-download.opensuse.org-12c7f911 | KDE:Applications                  | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/KDE:/Applications/openSUSE_Leap_42.1/
     4 | http-download.opensuse.org-afcf276b | X11:Utilities                     | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/X11:/Utilities/openSUSE_Leap_42.1/   
     5 | http-download.opensuse.org-b5e350f6 | graphics                          | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/graphics/openSUSE_Leap_42.1/         
     6 | opensuse-guide.org-repo             | Libdvdcss Repository              | Ja        | (r ) Ja         | Ja             | http://opensuse-guide.org/repo/openSUSE_Leap_42.1/                             
     7 | packman.inode.at-suse               | Packman Repository                | Ja        | (r ) Ja         | Ja             | http://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_42.1/             
     8 | repo-non-oss                        | openSUSE-Leap-42.1-Non-Oss        | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/              
     9 | repo-oss                            | openSUSE-Leap-42.1-Oss            | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                  
    10 | repo-update                         | openSUSE-Leap-42.1-Update         | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/update/leap/42.1/oss/                             
    11 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/update/leap/42.1/non-oss/                         
    12 | vivaldi                             | vivaldi                           | Ja        | ( p) Ja         | Ja             | http://repo.vivaldi.com/archive/rpm/x86_64
    And here is a crashlog of Kontact when trying to close it:
    http://pastebin.com/dQFNVY2Z

    Please let me know, if you need any further information.

  2. #2

    Default Re: KDE PIM Applications crash or hang because of Akonadi

    Quote Originally Posted by dsengstock View Post
    I'm not sure weither this is a bug or caused by configuration or package mess up. My base system is Leap 41.1, but with updated Plasma and KDE Framework, KDE Applications and QT5. My repo list:
    Code:
    #  | Alias                               | Name                              | Aktiviert | GPG-Überprüfung | Aktualisierung | URI                                                                            ---+-------------------------------------+-----------------------------------+-----------+-----------------+----------------+--------------------------------------------------------------------------------
     1 | KDE_Framework_5                     | KDE Framework 5                   | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.1/ 
     2 | Qt5                                 | Qt5                               | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.1/         
     3 | http-download.opensuse.org-12c7f911 | KDE:Applications                  | Ja        | (r ) Ja         | Ja             | http://download.opensuse.org/repositories/KDE:/Applications/openSUSE_Leap_42.1/
    One reason for you problems may be that KDE:Applications is actually built against the standard 42.1+Updates, not KDE:Frameworks5 and KDE:Qt5.
    So you basically mix packages that are not intended to be used together.

    I would recommend to remove all these 3 repos, and add the following three instead (which are quite new and will give you the LTS updates of Qt 5.6.x and Plasma 5.8.x plus the latest applications (including KDEPIM 16.08.2):
    http://download.opensuse.org/reposit...USE_Leap_42.1/
    http://download.opensuse.org/reposit...USE_Leap_42.1/
    http://download.opensuse.org/reposit...USE_Leap_42.1/
    (and then do a full switch to all 3)

    E.g. run:
    Code:
    sudo zypper rr 1 2 3
    sudo zypper ar -f http://download.opensuse.org/repositories/KDE:/Frameworks5:/LTS/openSUSE_Leap_42.1/ KF5
    sudo zypper ar -f http://download.opensuse.org/repositories/KDE:/Qt56/openSUSE_Leap_42.1/ Qt5
    sudo zypper ar -f http://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_LTS_openSUSE_Leap_42.1/ KDEApps
    sudo zypper dup --from Qt5 --from KF5 --from KDEApps

  3. #3

    Cool Re: KDE PIM Applications crash or hang because of Akonadi

    Hi and thx for the reply.
    Is there a typo in the URL of the KF5 Repo? I think it should be:
    http://download.opensuse.org/reposit...USE_Leap_42.1/

    I switch over to these new repositories and had to solve several dependency issues, mostly downgrades and vendor changes, but I think I'm clean now. After some testing KDEPIM seems stable now, although I had a few hickups with akonadi. I will continue testing.
    Another issue I had with the calendar widget was solved. PIM events plugin was missing not showing my calendar events in the widget. Magically it has appeared now as is running fine.

    Thank you for your help

  4. #4

    Default Re: KDE PIM Applications crash or hang because of Akonadi

    Quote Originally Posted by dsengstock View Post
    Is there a typo in the URL of the KF5 Repo? I think it should be:
    http://download.opensuse.org/reposit...USE_Leap_42.1/
    Yes, right.
    Sorry.

    I switch over to these new repositories and had to solve several dependency issues, mostly downgrades and vendor changes, but I think I'm clean now. After some testing KDEPIM seems stable now, although I had a few hickups with akonadi. I will continue testing.
    Well, there have been some fixes in 16.08.x...

    Unfortunately it is not possible to build KDEPIM 16.08 for plain 42.1, as it requires Qt 5.6 and a newer Frameworks than 42.1 has.
    That's why we created that new KDE:Applications repo that builds against KDE:Frameworks5:LTS.

    The only downside to this solution is that you won't get Qt 5.7 or later and Plasma 5.9 when it is released.
    The LTS repos will stay at the LTS versions as mentioned (Qt 5.6.x, Plasma 5.8.x, which will get updates for 18 months at least). But definitely not a disadvantage regarding the stability...

    Another issue I had with the calendar widget was solved. PIM events plugin was missing not showing my calendar events in the widget. Magically it has appeared now as is running fine.
    Might have been an incompatibility between Plasma and the outdated kholidays from KDE:Applications, fixed by aligning all packages...
    Last edited by wolfi323; 23-Oct-2016 at 10:20.

  5. #5

    Cool Re: KDE PIM Applications crash or hang because of Akonadi

    After some further testing, I can mark this thread as solved. Everything seems working fine. I didn't had any crash or unexpected behavior. Great!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •